package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcVx;
import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcYqyj;

/**
 * 舆情预警Service接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface ITcYqyjService 
{
    /**
     * 查询舆情预警
     * 
     * @param id 舆情预警主键
     * @return 舆情预警
     */
    public TcYqyj selectTcYqyjById(Long id);

    /**
     * 查询舆情预警列表
     * 
     * @param tcYqyj 舆情预警
     * @return 舆情预警集合
     */
    public List<TcYqyj> selectTcYqyjList(TcYqyj tcYqyj);

    /**
     * 新增舆情预警
     * 
     * @param tcYqyj 舆情预警
     * @return 结果
     */
    public int insertTcYqyj(TcYqyj tcYqyj);

    /**
     * 修改舆情预警
     * 
     * @param tcYqyj 舆情预警
     * @return 结果
     */
    public int updateTcYqyj(TcYqyj tcYqyj);

    /**
     * 批量删除舆情预警
     * 
     * @param ids 需要删除的舆情预警主键集合
     * @return 结果
     */
    public int deleteTcYqyjByIds(Long[] ids);

    /**
     * 删除舆情预警信息
     * 
     * @param id 舆情预警主键
     * @return 结果
     */
    public int deleteTcYqyjById(Long id);



    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);

    /**
     * 导入信信息
     *
     * @return 结果
     */
    public String importUser(List<TcYqyj> tcYqyjList);

}
